#ifdef __TURBOC__
#define __ANSI__
#endif

#include <stdio.h>

#include "portab.h"

/* some other special defines */
#define MAX_TOKENS 20						/* maximum # of command line tokens */
#define MAX_WEEKS 30							/* Max number of weeks we do */
#define MAX_DATE 5							/* Size of date string */
#define MAX_TEAMS 15							/* Max # of teams in league */

typedef struct _cmdlist {
	char *cmd;									/* full name of command */
	char *usage;								/* Quicky help string */
	BOOL (*cmd_func) PROTO( (int tokcnt, char *tokens[]) );
													/* Command functions */
} CMDLIST;


#define VERBOSE( level, format, what ) \
	if ( Verbose >= level ) \
		fprintf( stderr, format, what );

#define ARGCNT_ERR() \
	{	rdb_error( "Not enough paramters.  Usage:\n", CmdTable[Cmd].cmd );\
	rdb_error( " ", CmdTable[Cmd].usage ); \
	return TRUE; }

#include "proto.h"
